# TSGetRHSJacobian

Returns the Jacobian J at the present timestep.

### Synopsis

    #include "petscts.h"
    PetscErrorCode PETSCTS_DLLEXPORT TSGetRHSJacobian(TS ts,Mat *J,Mat *M,void **ctx)

Not Collective, but parallel objects are returned if TS is parallel

### Input Parameter

ts -The TS context obtained from TSCreate()

### Output Parameters

| J | - The Jacobian J of F, where U_t = F(U,t)
| M | - The preconditioner matrix, usually the same as J
| ctx | - User-defined context for Jacobian evaluation routine

Notes: You can pass in PETSC_NULL for any return argument you do not need.

### See Also

TSGetTimeStep(), TSGetMatrices(), TSGetTime(), TSGetTimeStepNumber()

### Keywords

TS, timestep, get, matrix, Jacobian

Level:intermediate
Location: src/ts/interface/ts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages